= {{{appName}}}
{{#headerAttributes}}
{{infoEmail}}
{{{version}}}
:toc: left
:numbered:
:toclevels: 3
:source-highlighter: highlightjs
:keywords: openapi, rest, {{appName}}
:specDir: {{specDir}}
:snippetDir: {{snippetDir}}
:generator-template: v1 2019-12-20
:info-url: {{infoUrl}}
:app-name: {{appName}}
{{/headerAttributes}}

{{#useIntroduction}}
== Introduction
{{/useIntroduction}}
{{^useIntroduction}}
[abstract]
.Введение
{{/useIntroduction}}
{{{appDescription}}}

{{#specinclude}}intro.adoc{{/specinclude}}

{{#hasAuthMethods}}
== Способы аутентификации

{{#authMethods}}
{{#isBasic}}
{{#isBasicBasic}}* *HTTP Basic* Аутентификация _{{{name}}}_{{/isBasicBasic}}
{{#isBasicBearer}}* *Bearer* Аутентификация {{/isBasicBearer}}
{{/isBasic}}
{{#isOAuth}}* *OAuth*  AuthorizationUrl: _{{authorizationUrl}}_, TokenUrl:   _{{tokenUrl}}_ {{/isOAuth}}
{{#isApiKey}}* *APIKey* KeyParamName:     _{{keyParamName}}_,     KeyInQuery: _{{isKeyInQuery}}_, KeyInHeader: _{{isKeyInHeader}}_{{/isApiKey}}
{{/authMethods}}

{{/hasAuthMethods}}

== Существующие запросы

{{#apiInfo}}
{{#apis}}
{{#operations}}

[.{{baseName}}]
=== {{baseName}}

{{#operation}}

[.{{nickname}}]
{{#useMethodAndPath}}
==== {{httpMethod}} {{path}}

Operation Id:: {{nickname}}

{{/useMethodAndPath}}
{{^useMethodAndPath}}
==== {{nickname}}

`{{httpMethod}} {{path}}`
{{/useMethodAndPath}}

{{{summary}}}

===== Описание

{{{notes}}}

{{#specinclude}}{{path}}/{{httpMethod}}/spec.adoc{{/specinclude}}


{{> params}}

===== Возвращаемый тип

{{#hasReference}}
{{^returnSimpleType}}{{returnContainer}}[{{/returnSimpleType}}<<{{returnBaseType}}>>{{^returnSimpleType}}]{{/returnSimpleType}}
{{/hasReference}}

{{^hasReference}}
{{#returnType}}<<{{.}}>>{{/returnType}}
{{^returnType}}-{{/returnType}}
{{/hasReference}}

{{#hasProduces}}
===== Content Type

{{#produces}}
    * {{{mediaType}}}
{{/produces}}
{{/hasProduces}}

===== Ответы

.Коды ответов HTTP
[cols="2,3,1"]
|===
| Код | Описание | Тип данных

{{#responses}}

| {{code}}
| {{message}}
| {{#containerType}}{{dataType}}[<<{{baseType}}>>]{{/containerType}} {{^containerType}}<<{{dataType}}>>{{/containerType}}

{{/responses}}
|===

{{^skipExamples}}
===== Примеры

{{#snippetinclude}}{{path}}/{{httpMethod}}/http-request.adoc{{/snippetinclude}}
{{#snippetinclude}}{{path}}/{{httpMethod}}/http-response.adoc{{/snippetinclude}}

{{#snippetlink}}* wiremock data, {{path}}/{{httpMethod}}/{{httpMethod}}.json{{/snippetlink}}
{{/skipExamples}}

ifdef::internal-generation[]
===== Implementation
{{#specinclude}}{{path}}/{{httpMethod}}/implementation.adoc{{/specinclude}}

endif::internal-generation[]

{{/operation}}
{{/operations}}
{{/apis}}
{{/apiInfo}}

{{> model}}